> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 监控统计日志

> 获取特定监控的分页检测日志列表。



## OpenAPI

````yaml cn-openapi POST /monitors/statistics/logs
openapi: 3.0.0
info:
  description: >-
    Pubrio API 提供市场扩张情报——实时捕捉企业进入新市场的信号，以及其底层的公司与人员数据。可搜索、查找并丰富账户与联系人信息，并订阅覆盖
    200+ 市场、带类型与日期的动向信号。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/zh-CN/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/zh-CN/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: 工作区配置信息和使用统计
  - name: Enrichment
    description: 通过详细的 B2B 数据丰富人员和公司记录
  - name: Lookalike
    description: 查找与指定公司相似的公司
  - name: Search
    description: 使用筛选条件搜索人员、公司、职位、新闻和广告
  - name: Lookup
    description: 查找特定人员、公司、职位、新闻、广告和技术的详细信息
  - name: LinkedIn
    description: 通过 LinkedIn 个人资料 URL 查找人员和公司数据
  - name: Redeem
    description: 兑换积分以解锁人员联系方式（单个和批量）
  - name: Channels
    description: 管理外展渠道模板（创建、更新、删除、列表）
  - name: Monitor
    description: 创建和管理数据监控，包括 Webhook、统计和处理
  - name: Filters
    description: 获取搜索参数的可用筛选值（技术、地点、垂直领域等）
  - name: API Keys
    description: 查看 API 密钥的请求日志和使用情况分析
  - name: Insights
    description: 公司的信号聚合洞察(招聘、新闻、广告)。
  - name: Export
    description: 批量数据导出(消耗积分)。
  - name: Expansion
    description: 公司市场扩张情报:信号、阶段、市场与导出。
externalDocs:
  description: Pubrio API 用于搜索、预览和增强联系人及账户信息。Pubrio 数据库提供丰富的 B2B 联系人和销售情报数据。
  url: https://docs.pubrio.com
paths:
  /monitors/statistics/logs:
    post:
      tags:
        - Monitor
      summary: 列出监控统计日志
      description: 获取特定监控的分页检测日志列表。
      operationId: monitors_list_statistics_logs
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                monitor_id:
                  type: string
                  format: uuid
                  description: 要检索日志的监控唯一标识符。
                monitor_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
                  description: 筛选来自这些监控的日志。
                monitor_log_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
                  description: 筛选到这些特定的日志条目。
                search_term:
                  type: string
                  description: >-
                    搜索词，与 error_message、destination_type 和 detection_mode
                    匹配（不区分大小写的子串匹配）。
                start_date:
                  type: string
                  format: date
                  description: created_at 日期范围的开始（ISO 日期字符串）。与 end_date 一起使用。
                end_date:
                  type: string
                  format: date
                  description: created_at 日期范围的结束（ISO 日期字符串）。与 start_date 一起使用。
                order_by:
                  type: string
                  enum:
                    - created_at
                    - total_credit
                    - processing_time_ms
                    - total_signals
                    - status
                    - retry_attempt
                  description: 排序字段。默认为 created_at。
                  default: created_at
                is_ascending_order:
                  type: boolean
                  description: 按升序排序。默认为 false（降序）。
                  default: false
                statuses:
                  type: array
                  items:
                    type: string
                  description: >-
                    按触发状态过滤（例如 'success'、'failure'）。也接受虚拟值
                    'recovered'——重试后最终成功的失败触发。
                signal_types:
                  type: array
                  items:
                    type: string
                  description: 筛选信号类型包含其中任一值的日志。
                destination_types:
                  type: array
                  items:
                    type: string
                  description: 按目标类型过滤（例如 ['email', 'webhook']）。
                detection_modes:
                  type: array
                  items:
                    type: string
                  description: 按检测模式过滤（例如 ['company_first', 'signal_first']）。
                per_page:
                  type: integer
                  description: >-
                    每页记录数。默认 25，在大多数套餐下这也是上限 —— 该限制即订阅中的
                    `max_search_per_page`，可通过
                    [Profile](/cn/api-reference/endpoint/profile/profile)
                    获取。超出会返回 **HTTP 416** 及错误码 `41676`（公司与人物搜索为
                    `41613`），而不是自动截断结果。
                  default: 25
                page:
                  type: integer
                  description: >-
                    页码，从 1 开始。上限为订阅中的 `max_search_page`（公司搜索为
                    `max_company_search_page`），可通过
                    [Profile](/cn/api-reference/endpoint/profile/profile)
                    获取。超出会返回 **HTTP 416**。
                  default: 1
      responses:
        '200':
          description: >-
            成功响应。响应信封为 `{ metadata: { filters }, data: { pagination,
            monitor_logs } }`——`metadata.filters` 会回显本次搜索实际应用的过滤条件。
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      filters:
                        type: object
                        description: 本次搜索所应用过滤条件的回显。
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                            description: 当前页码。
                          per_page:
                            type: integer
                            description: 每页结果数。
                          total_entries:
                            type: integer
                            description: 日志条目总数。
                          total_pages:
                            type: integer
                            description: 总页数。
                          total_display_pages:
                            type: integer
                            description: 显示总页数。
                          is_timeout:
                            type: boolean
                            description: 查询是否超时。
                      monitor_logs:
                        type: array
                        items:
                          type: object
                          properties:
                            monitor_log_id:
                              type: string
                              format: uuid
                              description: 此日志条目的唯一标识符。
                            monitor_id:
                              type: string
                              format: uuid
                              description: 生成此日志的监控标识符。
                            parent_monitor_log_id:
                              type: string
                              description: 父日志条目的标识符（如果这是重试）。
                            detection_mode:
                              type: string
                              description: 使用的检测模式。'company_first' 或 'signal_first'。
                            signal_type:
                              type: array
                              items:
                                type: string
                              description: 监控的信号类型（例如 'jobs'、'news'、'advertisements'）。
                            destination_type:
                              type: string
                              description: 投递目标类型（例如 'email'、'webhook'）。
                            response_status_code:
                              type: integer
                              description: 目标响应的 HTTP 状态码。
                            status:
                              type: string
                              description: 触发执行的状态（例如 'success'、'failed'）。
                            error_message:
                              type: string
                              description: 触发失败时的错误消息。成功时为空字符串。
                            total_signals:
                              type: integer
                              description: 检测到的信号总数。
                            total_companies:
                              type: integer
                              description: 找到的公司总数。
                            total_people:
                              type: integer
                              description: 找到的人员总数。
                            trigger_credit:
                              type: integer
                              description: 触发本身消耗的积分。
                            total_company_credit:
                              type: integer
                              description: 公司信息增强消耗的积分。
                            total_people_credit:
                              type: integer
                              description: 人员信息增强消耗的积分。
                            redeem_email_credit:
                              type: integer
                              description: 邮箱兑换消耗的积分。
                            redeem_phone_credit:
                              type: integer
                              description: 电话兑换消耗的积分。
                            total_credit:
                              type: integer
                              description: 此次触发消耗的总积分。
                            retry_attempt:
                              type: integer
                              description: 重试次数。
                            processing_time_ms:
                              type: integer
                              description: 总处理时间（毫秒）。
                            created_at:
                              type: string
                              format: date-time
                              description: 日志条目创建的时间戳。
                            retry_logs:
                              type: array
                              items:
                                type: object
                              description: 重试日志条目数组（如有）。
                            is_retry_succeed:
                              type: boolean
                              description: 重试是否成功。
              example:
                metadata:
                  filters:
                    statuses:
                      - failure
                    language: en
                data:
                  pagination:
                    page: 1
                    per_page: 25
                    total_entries: 45
                    total_pages: 2
                    total_display_pages: 2
                    is_timeout: false
                  monitor_logs:
                    - monitor_log_id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      monitor_id: b2c3d4e5-f6a7-8901-bcde-f12345678901
                      parent_monitor_log_id: ''
                      detection_mode: company_first
                      signal_type:
                        - jobs
                        - news
                        - advertisements
                      destination_type: email
                      response_status_code: 200
                      status: success
                      error_message: ''
                      total_signals: 25
                      total_companies: 11
                      total_people: 32
                      trigger_credit: 15
                      total_company_credit: 11
                      total_people_credit: 33
                      redeem_email_credit: 0
                      redeem_phone_credit: 0
                      total_credit: 59
                      retry_attempt: 0
                      processing_time_ms: 97952
                      created_at: '2026-04-05T18:28:05.000Z'
                      retry_logs: []
                      is_retry_succeed: false
                    - ...
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  responses:
    general_error:
      description: 请求错误。请求格式不正确或包含无效参数。请检查错误代码和消息以获取详细信息。
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: 错误及代码会根据不同场景有所不同，详情请参阅文档。
                type: string
              details:
                type: object
    rate_limit_error:
      description: 超出速率限制。在给定时间段内发送了过多请求。请在速率限制窗口重置后重试。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 请求频率超出限制。请稍后再试。
                type: string
    server_error:
      description: 内部服务器错误。服务器发生意外错误。如果错误持续存在，请联系支持团队。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 服务器在处理请求时遇到了未预料的异常。
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        一个唯一的 API 令牌，用于标识您通过 API 执行的操作以及相应的权限和操作。您可以在
        [设置](https://dashboard.pubrio.com/#/settings/) 部分创建该令牌。
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.